org.eclipse.graphiti.ui.internal.fixed

## Class FixedScalableRootEditPart

- java.lang.Object
- - org.eclipse.gef.editparts.AbstractEditPart
  - - org.eclipse.gef.editparts.AbstractGraphicalEditPart
    - - org.eclipse.gef.editparts.SimpleRootEditPart
      - - org.eclipse.gef.editparts.ScalableRootEditPart
        - - org.eclipse.graphiti.ui.internal.fixed.FixedScalableRootEditPart

All Implemented Interfaces:
  IAdaptable, org.eclipse.gef.EditPart, org.eclipse.gef.editparts.LayerManager, org.eclipse.gef.GraphicalEditPart, org.eclipse.gef.LayerConstants, org.eclipse.gef.RequestConstants, org.eclipse.gef.RootEditPart

    public class FixedScalableRootEditPart
    extends org.eclipse.gef.editparts.ScalableRootEditPart

The Class FixedScalableRootEditPart.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.gef.editparts.LayerManager

`org.eclipse.gef.editparts.LayerManager.Helper`

### Field Summary

### Fields inherited from interface org.eclipse.gef.LayerConstants

`CONNECTION_LAYER, FEEDBACK_LAYER, GRID_LAYER, GUIDE_LAYER, HANDLE_LAYER, PRIMARY_LAYER, PRINTABLE_LAYERS, SCALABLE_LAYERS, SCALED_FEEDBACK_LAYER`

### Fields inherited from interface org.eclipse.gef.editparts.LayerManager

`ID`

### Fields inherited from interface org.eclipse.gef.EditPart

`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

### Constructor Summary

Constructors
Constructor and Description
`FixedScalableRootEditPart()`

### Method Summary

### Methods inherited from class org.eclipse.gef.editparts.ScalableRootEditPart

`getAdapter, getContentPane, getDragTracker, getLayer, getModel, getZoomManager`

### Methods inherited from class org.eclipse.gef.editparts.SimpleRootEditPart

`getCommand, getContents, getRoot, getViewer, setContents, setViewer`

### Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`activate, addNodeListener, addNotify, deactivate, getFigure, getSourceConnections, getTargetConnections, isSelectable, refresh, removeNodeListener, removeNotify, setLayoutConstraint`

### Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`addEditPartListener, eraseSourceFeedback, eraseTargetFeedback, getChildren, getEditPolicy, getParent, getSelected, getTargetEditPart, hasFocus, installEditPolicy, isActive, performRequest, removeEditPartListener, removeEditPolicy, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getEditPolicy, getParent, getSelected, getTargetEditPart, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

### Constructor Detail

#### FixedScalableRootEditPart

    public FixedScalableRootEditPart()